UserAutocompleteTestCase::testUserAutocomplete

7 user.test UserAutocompleteTestCase::testUserAutocomplete()
8 user.test UserAutocompleteTestCase::testUserAutocomplete()

Tests access to user autocompletion and verify the correct results.

File

modules/user/user.test, line 1419
Tests for user.module.

Code

function testUserAutocomplete() {
  // Check access from unprivileged user, should be denied.
  $this->drupalLogin($this->unprivileged_user);
  $this->drupalGet('user/autocomplete/' . $this->unprivileged_user->name[0]);
  $this->assertResponse(403, t('Autocompletion access denied to user without permission.'));

  // Check access from privileged user.
  $this->drupalLogout();
  $this->drupalLogin($this->privileged_user);
  $this->drupalGet('user/autocomplete/' . $this->unprivileged_user->name[0]);
  $this->assertResponse(200, t('Autocompletion access allowed.'));

  // Using first letter of the user's name, make sure the user's full name is in the results.
  $this->assertRaw($this->unprivileged_user->name, t('User name found in autocompletion results.'));
}
Login or register to post comments